clear all

*cd "~/Kalla Porter QJPS Replication/"

use data/merged_data_ANON.dta, clear

* Must have taken both a pre- and post-survey
* This mirrors our primary analysis in R
keep if took_pre_post == 1

xtset id date

cd output

foreach var in ambitions_index efficacy_index ambitions_2 ambitions_2_binary {

	preserve

	xtreg `var' i.post i.date, cluster(id) fe
	margins i.post, saving(overall, replace)

	xtreg `var' i.post i.date if respondent_male == 1, cluster(id) fe
	margins i.post, saving(male, replace)

	xtreg `var' i.post i.date if respondent_female == 1, cluster(id) fe
	margins i.post, saving(female, replace)

	clear
	use overall
	append using male female, gen(gender)
	gen gender_label = ""
		replace gender_label = "Overall" if gender == 0
		replace gender_label = "Male" if gender == 1
		replace gender_label = "Female" if gender == 2
	rename _m1 post
	rename _* *
	drop if gender_label == "Overall" // no overall graph

	keep margin ci_lb ci_ub post gender_label
	outsheet using `var'.csv, comma replace
	
	restore

}
